%global pypi_name certbot-dns-plesk

Name:           python-%{pypi_name}
Version:        0.3.0
Release:        1%{?dist}
Summary:        Plesk DNS Authenticator plugin for Certbot

License:        GPLv3+
URL:            https://pypi.org/project/%{pypi_name}
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  python3-devel
# Test dependencies:
BuildRequires:  python3dist(pytest)

%global _description %{expand:
Plesk DNS Authenticator plugin for Certbot
}

%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}

# Provide the name users expect as a certbot plugin
%if 0%{?fedora}
Provides:       %{pypi_name} = %{version}-%{release}
%endif
# Recommend the CLI as that will be the interface most use
Recommends:     certbot

%description -n python3-%{pypi_name} %_description

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files certbot_dns_plesk

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Sat Nov 6 2021 Christian Schuermann <spike@fedoraproject.org> 0.3.0-1
- Initial package.
